package com.bocloud.cmp.provider.azure.redis;

import com.bocloud.cmp.model.azure.redis.RedisModel;
import com.bocloud.cmp.provider.SuperProvider;
import com.bocloud.common.model.BocloudResult;

/**
 * @Company: 博云 www.bocloud.com
 * @ClassName: RedisProvider
 * @Description:
 * @author: zhenpingLi/李振平
 * @date: 2021/2/25 14:11
 */
public interface RedisProvider extends SuperProvider {

    default BocloudResult list() {
        return new BocloudResult(false, "need implement");
    }

    default BocloudResult create(RedisModel model) {
        return new BocloudResult(false, "need implement");
    }

    default BocloudResult modify(RedisModel model) {
        return new BocloudResult(false, "need implement");
    }

    default BocloudResult detail(RedisModel model) {
        return new BocloudResult(false, "need implement");
    }

    default BocloudResult remove(RedisModel model) {
        return new BocloudResult(false, "need implement");
    }

    default BocloudResult regenerateKey(RedisModel model) {
        return new BocloudResult(false, "need implement");
    }

    default BocloudResult restart(RedisModel model) {
        return new BocloudResult(false, "need implement");
    }

    default BocloudResult pricingLayer(RedisModel model) {
        return new BocloudResult(false, "need implement");
    }

}